module MPICH_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libmpi
const libmpi_path = "/opt/mpich/lib/libmpi.so.12"
libmpi_handle = C_NULL
get_libmpi_path() = libmpi_path
const libmpi = "/opt/mpich/lib/libmpi.so.12"
export libmpicxx
const libmpicxx_path = "/opt/mpich/lib/libmpicxx.so.12"
libmpicxx_handle = C_NULL
get_libmpicxx_path() = libmpicxx_path
const libmpicxx = "/opt/mpich/lib/libmpicxx.so.12"
export libmpifort
const libmpifort_path = "/opt/mpich/lib/libmpifort.so.12"
libmpifort_handle = C_NULL
get_libmpifort_path() = libmpifort_path
const libmpifort = "/opt/mpich/lib/libmpifort.so.12"
export mpiexec
const mpiexec_path = "/opt/mpich/bin/mpiexec"
mpiexec(f::Function; kw...) = f(mpiexec_path)
mpiexec(; kw...) = Cmd([mpiexec_path])
function __init__()
    global libmpi_handle = dlopen(libmpi_path)
    global libmpicxx_handle = dlopen(libmpicxx_path)
    global libmpifort_handle = dlopen(libmpifort_path)
end
end
